import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentFileSelectObjectSchema as AppointmentFileSelectObjectSchema } from './AppointmentFileSelect.schema';
import { AppointmentFileIncludeObjectSchema as AppointmentFileIncludeObjectSchema } from './AppointmentFileInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => AppointmentFileSelectObjectSchema).optional(),
  include: z.lazy(() => AppointmentFileIncludeObjectSchema).optional()
}).strict();
export const AppointmentFileArgsObjectSchema = makeSchema();
export const AppointmentFileArgsObjectZodSchema = makeSchema();
